Bug 153795 - repocopy www/drupal5/bsd.drupal.mk to Mk/bsd.drupal.mk
repocopy www/drupal5/bsd.drupal.mk to Mk/bsd.drupal.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-08 15:10 UTC by nick
Modified: 2011-08-11 14:30 UTC (History)
0 users

See Also:


Attachments
bsd.drupal.mk (4.61 KB, text/plain; x-mac-type="0"; x-mac-creator="0")
2011-03-04 18:49 UTC, nick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nick 2011-01-08 15:10:07 UTC
Please repocopy www/drupal5/bsd.drupal.mk to Mk/bsd.drupal.mk.

www/drupal5/bsd.drupal.mk is used by all drupal* modules, for all versions
of drupal - currently there are 56 drupal module ports in the ports trees. 

As drupal7 has just been released and there will be no future development or
security support for drupal5, the www/drupal5 port and all drupal5 modules
will be removed from the freebsd ports tree within the next 6 months.  This
means that bsd.drupal.mk will need to be moved somewhere else within this
time frame.  As the bsd.drupal.mk file is being used by so many ports (and
as it's expected that there will be a large number of drupal7 modules added
to ports), it seems sensible to move this file to the Mk/ directory rather
than the www/drupal6 or www/drupal7 directory.
Comment 1 Martin Wilke freebsd_committer 2011-01-26 04:41:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 nick 2011-03-04 18:49:06 UTC
New version of bsd.drupal.mk attached.

Nick
Comment 3 Martin Wilke freebsd_committer 2011-03-19 05:10:49 UTC
State Changed
From-To: open->repocopy


- please recopy 


Comment 4 Martin Wilke freebsd_committer 2011-03-19 05:10:49 UTC
Responsible Changed
From-To: miwi->portmgr


- please recopy
Comment 5 Joe Marcus Clarke freebsd_committer 2011-03-20 05:47:16 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2011-03-20 05:47:16 UTC
Responsible Changed
From-To: portmgr->miwi

Repocopy complete.
Comment 7 Mark Linimon freebsd_committer 2011-07-12 06:21:00 UTC
State Changed
From-To: open->open

Back to pool at assignee request for the moment. 


Comment 8 Mark Linimon freebsd_committer 2011-07-12 06:21:00 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs
Comment 9 Chris Rees freebsd_committer 2011-07-28 22:16:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 10 Chris Rees freebsd_committer 2011-07-28 22:16:30 UTC
State Changed
From-To: open->feedback

Please would you submit a patch rather than the complete file?
Comment 11 linimon 2011-07-29 21:53:17 UTC
----- Forwarded message from Nick Hilliard <nick@foobar.org> -----

Date: Fri, 29 Jul 2011 20:59:38 +0100
From: Nick Hilliard <nick@foobar.org>
To: Chris Rees <crees@freebsd.org>
CC: portmgr@FreeBSD.org
Subject: Re: ports/153795: repocopy www/drupal5/bsd.drupal.mk to Mk/bsd.drupal.mk

On 28/07/2011 22:16, crees@FreeBSD.org wrote:
> Please would you submit a patch rather than the complete file?

see attached.

Nick


--- bsd.drupal.mk.old	2011-07-29 20:56:56.000000000 +0100
+++ bsd.drupal.mk	2011-07-29 20:56:18.000000000 +0100
@@ -1,22 +1,29 @@
-#-*- mode: makefile; tab-width: 4; -*-
-: ex:ts=4
+# $FreeBSD: ports/www/drupal5/bsd.drupal.mk,v 1.9 2009/04/04 18:00:28 miwi Exp $
 #
-# $FreeBSD: ports/Mk/bsd.drupal.mk,v 1.10 2011/07/29 08:46:50 crees Exp $
-#
-# bsd.drupal.mk - Support for Drupal ports and modules.
-#
-# For FreeBSD committers:
-# Please send all suggested changes to the maintainer instead of committing
-# them to CVS yourself.
-
-bsd_drupal_mk_MAINTAINER=	nick@foobar.org
 
 # Make sure we cannot define any combination of DRUPAL{5,6}
 .if (defined(DRUPAL5_MODULE) && defined(DRUPAL6_MODULE))
 BROKEN=		cannot define a combination of DRUPAL5_MODULE and DRUPAL6_MODULE
 .endif
 
-# Make sure DRUPAL_MODULE is defined.  If no DRUPAL*_module defined, then define DRUPAL4_MODULE
+.if (defined(DRUPAL5_THEME) && defined(DRUPAL6_THEME))
+BROKEN=		cannot define a combination of DRUPAL5_THEME and DRUPAL6_THEME
+.endif
+
+# Make sure DRUPAL_VERSION is defined for old module versions
+.if defined(DRUPAL5_MODULE) || defined(DRUPAL5_PORT)  || defined(DRUPAL5_THEME)
+DRUPAL_VERSION?=	5
+.endif
+
+.if defined(DRUPAL6_MODULE) || defined(DRUPAL6_PORT)  || defined(DRUPAL6_THEME)
+DRUPAL_VERSION?=	6
+.endif
+
+.if !defined(DRUPAL_VERSION)
+BROKEN=		must define DRUPAL_VERSION
+.endif
+
+# Make sure DRUPAL_MODULE is defined where necessary
 .if defined(DRUPAL5_MODULE) || defined(DRUPAL6_MODULE)
 DRUPAL_MODULE?=	yes
 .endif
@@ -25,23 +32,25 @@
 DRUPAL_MODTYPE=	modules
 .endif
 
-# Make sure DRUPAL_PORT is defined.  If no DRUPAL*_module defined, then define DRUPAL4_PORT
+# Make sure DRUPAL_PORT is defined where necessary
 .if defined(DRUPAL5_PORT) || defined(DRUPAL6_PORT)
 DRUPAL_PORT?=	yes
 .endif
 
-# Make sure DRUPAL_THEME is defined
+# Make sure DRUPAL_THEME is defined where necessary
 .if defined(DRUPAL5_THEME) || defined(DRUPAL6_THEME)
 DRUPAL_THEME?=	yes
 DRUPAL_MODTYPE=	themes
 .endif
 
-.if defined(DRUPAL6_MODULE) || defined(DRUPAL6_PORT) || defined(DRUPAL6_THEME)
+.if ${DRUPAL_VERSION} == "7"
+DRUPAL_BASE?=   www/drupal7
+.elif ${DRUPAL_VERSION} == "6"
 DRUPAL_BASE?=   www/drupal6
-.else
-.if defined(DRUPAL5_MODULE) || defined(DRUPAL5_PORT) || defined(DRUPAL5_THEME)
+.elif ${DRUPAL_VERSION} == "5"
 DRUPAL_BASE?=	www/drupal5
-.endif
+.else
+BROKEN=		Unknown DRUPAL_VERSION (${DRUPAL_VERSION})
 .endif
 
 DRUPAL_DIR=	${PREFIX}/${DRUPAL_BASE}
@@ -54,27 +63,20 @@
 .endif
 
 .if defined(DRUPAL_MODULE) || defined (DRUPAL_THEME)
+PKGNAMEPREFIX=  drupal${DRUPAL_VERSION}-
 
+# drupal contributions must be licensed under the GPLv2 or GPLv3.  This is
+# documented at: http://drupal.org/licensing/faq/
+LICENSE?=	GPLv2 GPLv3
+LICENSE_COMB?=	dual
 
-.if defined(DRUPAL5_MODULE) || defined (DRUPAL5_THEME)
-PKGNAMEPREFIX=	drupal5-
-DRUPAL_VERSION?=	5.0
 .if defined(DRUPAL_MODSUBDIR)
 DRUPAL_MODDIR?= ${DRUPAL_BASE}/sites/all/${DRUPAL_MODTYPE}/${DRUPAL_MODSUBDIR}
 .else
 DRUPAL_MODDIR?= ${DRUPAL_BASE}/sites/all/${DRUPAL_MODTYPE}/${PORTNAME}
 .endif
-.endif
 
-.if defined(DRUPAL6_MODULE) || defined (DRUPAL6_THEME)
-PKGNAMEPREFIX=	drupal6-
-DRUPAL_VERSION?=	6.0
-.if defined(DRUPAL_MODSUBDIR)
-DRUPAL_MODDIR?= ${DRUPAL_BASE}/sites/all/${DRUPAL_MODTYPE}/${DRUPAL_MODSUBDIR}
-.else
-DRUPAL_MODDIR?= ${DRUPAL_BASE}/sites/all/${DRUPAL_MODTYPE}/${PORTNAME}
-.endif
-.endif
+DRUPAL_MODLIB?=	${DRUPAL_BASE}/sites/all/libraries
 
 DOCSDIR?=	${DRUPAL_DOCSDIR}/${PORTNAME}
 
@@ -112,7 +114,7 @@
 PLIST_FILES+=	${MODULE_FILES:C|^|%%DRUPAL_MODDIR%%/|}
 PLIST_FILES+=	${MODULE_CONF_FILES:C|^|%%DRUPAL_MODDIR%%/|:C|$|-dist|}
 PLIST_DIRS+=	${MODULE_DIRS:C|^|%%DRUPAL_MODDIR%%/|}
-.if defined(DRUPAL5_MODULE) || defined(DRUPAL5_THEME)  || defined(DRUPAL6_MODULE) || defined(DRUPAL6_THEME)
+.if defined(DRUPAL_MODULE) || defined(DRUPAL_THEME)
 PLIST_DIRS+=	${DRUPAL_MODDIR}
 .endif
 .if defined(DRUPAL_MODSUBDIR)
@@ -125,7 +127,7 @@
 .endif
 
 do-install:
-.if defined(DRUPAL5_MODULE) || defined(DRUPAL5_THEME) || defined(DRUPAL6_MODULE) || defined(DRUPAL6_THEME)
+.if defined(DRUPAL_MODULE) || defined(DRUPAL_THEME)
 	@${MKDIR} ${DRUPAL_MODDIR:C|^|${PREFIX}/|}
 	@${CHOWN} ${WWWOWN}:${WWWGRP} ${DRUPAL_MODDIR:C|^|${PREFIX}/|}
 .endif


----- End forwarded message -----
Comment 12 Chris Rees freebsd_committer 2011-08-09 20:11:32 UTC
State Changed
From-To: feedback->analyzed

Taken for drupal exp-run 
http://www.bayofrum.net/tb/index.php?action=list_buildports&build=9-drupaltree
Comment 13 Chris Rees freebsd_committer 2011-08-11 14:29:43 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!
Comment 14 dfilter freebsd_committer 2011-08-11 14:29:44 UTC
crees       2011-08-11 13:29:31 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.drupal.mk 
    www/drupal6          Makefile 
    www/drupal6-cck      Makefile 
    www/drupal6-pathauto Makefile 
    www/drupal7          Makefile 
  Log:
  - bsd.drupal.mk has been repocopied to ${PORTSDIR}/Mk
  - Prepare bsd.drupal.mk for use in ${PORTSDIR}/Mk
  - Remove unneeded LICENSE lines from drupal ports
  
  PR:             ports/153795
  Submitted by:   Nick Hilliard <nick@foobar.org> (maintainer)
  
  Revision  Changes    Path
  1.11      +39 -25    ports/Mk/bsd.drupal.mk
  1.9       +0 -3      ports/www/drupal6-cck/Makefile
  1.7       +0 -3      ports/www/drupal6-pathauto/Makefile
  1.66      +0 -3      ports/www/drupal6/Makefile
  1.65      +0 -3      ports/www/drupal7/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"